[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'go32' (#rtl)

# outportb

Write byte to I/O port

## Declaration

Source position: go32.pp line 180

`procedure outportb(`
`port: Word;`
`data: Byte`
`);`

## Description

Sends 1 byte of data to the specified I/O port.

Parameters:

port
  the I/O port number to send data to.
data
  value sent to I/O port.

Return values: None.

## Errors

None.

## See also

inportb |  | Read byte from I/O port
outportl |  | Write longint to I/O port
outportw |  | Write word to I/O port

## Example

    { This example demonstrates the use of the outport functions.

    It simply turns the PC's internal speaker on for 50 ms and off again
    }
    uses
            crt,
            go32;

    begin
            { turn on speaker }
            outportb($61, $ff);
            { wait a little bit }
            delay(50);
            { turn it off again }
            outportb($61, $0);
    end.